Subject: calculate-sources-4.14.14: ./sync-check.sh: Permission denied

Description: This seems to be first stable linux version, released with sync-check.sh tool.

Problem appears during <pre>make modules_prepare</pre>, in postinst.

As seems for me, it tries to run non-executable script.



log below is from second run, after most part is done:

<pre>

# LANG=C make modules_prepare

  CHK     include/config/kernel.release

  CHK     include/generated/uapi/linux/version.h

  CHK     include/generated/utsrelease.h

  CHK     include/generated/bounds.h

  CHK     include/generated/timeconst.h

  CHK     include/generated/asm-offsets.h

  CALL    scripts/checksyscalls.sh

  DESCEND  objtool

make[2]: execvp: ./sync-check.sh: Permission denied

</pre>

History

01/29/2018 09:53 am - Nikita Zlobin

Just found reported:

https://github.com/postmarketOS/pmbootstrap/issues/950

02/19/2018 02:58 pm - Mikhail Hiretsky

Try to compile calculate-sources-4.14.19.

02/19/2018 07:10 pm - Nikita Zlobin

Already have 4.14.15 - doesn't have this bug.

02/20/2018 05:27 am - Alexander Tratsevskiy

- Status changed from New to Closed
